﻿using System;
using System.CommandLine;

namespace git_fault
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var pathToRepo = Environment.CurrentDirectory;
            LibGit2Sharp.Repository.IsValid(pathToRepo);

            var htmlrenderer = new HtmlRenderer();
            var textrenderer = new TextRenderer();
            var handler = new CommandHandlers(pathToRepo, htmlrenderer, textrenderer);
            var rootCommand = ArgParser.AddCommandHandlers(handler);
            rootCommand.Invoke(args);
        }
    }
}
